
-- @AutoRun
-- drop table factor_hdr;



CREATE TABLE factor_hdr (
    object_id numeric(12) NOT NULL ,
    object_last_updated_date timestamp DEFAULT NOW() NOT NULL ,
    object_created_date timestamp DEFAULT NOW() NOT NULL
    ,
    factor_number numeric(12) NULL,
    factor_hdr_desc varchar(30) NULL,
    class_code varchar(15) NULL,
    factor_hdr_notes text NULL,
    level_number numeric(12) NULL,
    left_annot varchar(60) NULL,
    right_annot varchar(60) NULL,
    factor_hdr_desc_schinese varchar(120) NULL,
    factor_hdr_desc_chinese varchar(120) NULL,
    factor_hdr_desc_korean varchar(120) NULL,
    factor_hdr_desc_thai varchar(120) NULL,
    z_score_wght numeric(20,5) NULL,
    z_score_wght_2 numeric(20,5) NULL
    );



ALTER TABLE factor_hdr ADD    
    CONSTRAINT pk_factor_hdr PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    